from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Directory, Boolean, File, Int

Sparse_Index_V0_1_0 = CommandToolBuilder(tool="sparse_index", base_command=["sparse", "index"], inputs=[ToolInput(tag="in_dbname", input_type=Directory(optional=True), prefix="--dbname", doc=InputDocumentation(doc="Name for the database folder. REQUIRED.")), ToolInput(tag="in_update", input_type=Boolean(optional=True), prefix="--update", doc=InputDocumentation(doc="Index the current RefSeq database. Overwrite SEQLIST.")), ToolInput(tag="in_seq_list", input_type=File(optional=True), prefix="--seqlist", doc=InputDocumentation(doc="Load in a tab-delimited file generated by 'SPARSE.py query'.\nSpecify the absolute path in column 'file_path' if your genomes are local.")), ToolInput(tag="in_n_thread", input_type=Int(optional=True), prefix="--n_thread", doc=InputDocumentation(doc="Number of threads to use. Default: 20\n"))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Sparse_Index_V0_1_0().translate("wdl", allow_empty_container=True)

